Mortgage Loan

POST Check the eligibility of MortgageLoan for Payment Deferral

POST /MortgageLoan/{mortgageLoanId}/PaymentDeferral/Eligibility

Check the eligibility of MortgageLoan for Payment Deferral

Parameters

  • mortgageLoanId (path, string, required) The unique ID of the mortgage loan account.
    Example: 01axx000003MLytAAG.
  • requestId (query, string) The unique tracking ID of the request.
    Example: 006E0000004TquXIAS.
  • flowRefId (query, string) The unique reference ID of the flow from the source system of the request.
    Example: 006E0077774TquXIAS.

Request body

Media type: application/json. Schema: object.

  • eligibilityVerificationDate (date-only, required) Date on which the deferral eligibility is evaluated.
    Example: 2026-06-10.
  • deferralReason (string, required) Reason provided by the customer for requesting payment deferral, such as medical emergency, financial issues, and so on.
    Example: financial_hardship.

Responses

  • 200 Retrieved the eligibility of Payment Deferral

    Media type: application/json. Schema: object.

    • requestId (string, required) Unique ID for the eligibility request.
      Example: 12334455.
    • eligibleForModification (boolean, required) Indicates whether the account is eligible for payment deferral (true) or not (false).
      Example: true.
    • modifiedPaymentDetails (object, required) Payment modification details if deferral is applied.
      • deferredPaymentsCount (number, required)
        Example: 3.
      • nextDueDateAfterDeferral (date-only, required)
        Example: 2026-06-15.
      • interestAccruedDuringDeferral (number (double), required)
        Example: 200.50.
    • deferralEligibilityExpiryDate (date-only, required) Date until which the deferral eligibility remains valid.
      Example: 2026-06-01.
    • eligibilityVerificationDate (date-only) Date on which the deferral eligibility was evaluated.
      Example: 2026-06-18.
  • 400 The server couldn’t process the request due to a client error.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 401 The server couldn't find any valid credentials to access the requested resource.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "401"
    errorMessage: Authorization failed.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 403 The server denied access to the requested resource.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "403"
    errorMessage: The access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 404 The server couldn’t find the requested resource.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "404"
    errorMessage: Resource not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 405 The request method isn't supported for the requested resource.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 406 The target resource didn't have a current representation that was acceptable to the user agent.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "406"
    errorMessage: The requested resource cannot generate acceptable content according to the Accept headers sent in the request.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 415 The Accept header specified an unsupported media type.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "415"
    errorMessage: The server denied the request because it was not in a format supported by the target resource.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 429 The server exceeded the API request rate limit.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "429"
    errorMessage: The server denied the request due to exceeding rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 500 An internal error occurred while processing the API request.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z